Source: haskell-protobuf
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.9),
 cdbs,
 ghc (>= 8.4.3),
 ghc-prof,
 libghc-base-orphans-dev (>= 0.5),
 libghc-base-orphans-prof,
 libghc-cereal-dev (>= 0.3),
 libghc-cereal-prof,
 libghc-data-binary-ieee754-dev (>= 0.4),
 libghc-data-binary-ieee754-prof,
 libghc-unordered-containers-dev (>= 0.2),
 libghc-unordered-containers-prof,
 libghc-hunit-dev (>= 1.2) <!nocheck>,
 libghc-quickcheck2-dev (>= 1.2) <!nocheck>,
 libghc-hex-dev <!nocheck>,
 libghc-tagged-dev <!nocheck>,
 libghc-tasty-dev <!nocheck>,
 libghc-tasty-hunit-dev <!nocheck>,
 libghc-tasty-quickcheck-dev <!nocheck>,
Build-Depends-Indep: ghc-doc,
 libghc-base-orphans-doc,
 libghc-cereal-doc,
 libghc-data-binary-ieee754-doc,
 libghc-unordered-containers-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/alphaHeavy/protobuf
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-protobuf
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-protobuf]
X-Description: Google Protocol Buffers for Haskell
 Protocol Buffers are a way of encoding structured data in an
 efficient yet extensible format.  This is an implementation of a
 subset of Google Protocol Buffers for Haskell.
 .
 Record specifications are built by defining records with specially
 defined fields that capture most of the Protocol Buffers
 specification language.

Package: libghc-protobuf-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-protobuf-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-protobuf-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
